osg::Matrix3Template< T > Class Template Reference

`#include <Uniform>`

Inheritance diagram for osg::Matrix3Template< T >:

## Public Types

typedef MatrixTemplate< T, 3, 3 > | base_class
typedef base_class::value_type | value_type
Public Types inherited from osg::MatrixTemplate< T, 3, 3 >
enum |
enum |
enum |
typedef T | value_type

## Public Member Functions

| Matrix3Template ()
| Matrix3Template (const Matrix3Template &mat)
| Matrix3Template (value_type a00, value_type a01, value_type a02, value_type a10, value_type a11, value_type a12, value_type a20, value_type a21, value_type a22)
| ~Matrix3Template ()
void | set (value_type a00, value_type a01, value_type a02, value_type a10, value_type a11, value_type a12, value_type a20, value_type a21, value_type a22)
void | makeIdentity ()
void | set (const MatrixTemplate &rhs)
void | set (value_type const *const ptr)
Public Member Functions inherited from osg::MatrixTemplate< T, 3, 3 >
| MatrixTemplate ()
| ~MatrixTemplate ()
value_type & | operator() (int row, int col)
value_type | operator() (int row, int col) const
MatrixTemplate & | operator= (const MatrixTemplate &rhs)
void | set (const MatrixTemplate &rhs)
void | set (value_type const *const ptr)
value_type * | ptr ()
const value_type * | ptr () const
value_type & | operator[] (int i)
value_type | operator[] (int i) const
void | reset ()

## Additional Inherited Members

Protected Attributes inherited from osg::MatrixTemplate< T, 3, 3 >
value_type | _mat [row_count][col_count]

## Member Typedef Documentation

## base_class

template<typename T>

typedef MatrixTemplate<T, 3, 3> osg::Matrix3Template< T >::base_class

## value_type

template<typename T>

typedef base_class::value_type osg::Matrix3Template< T >::value_type

## Constructor & Destructor Documentation

## Matrix3Template() [1/3]

template<typename T>

osg::Matrix3Template< T >::Matrix3Template | ( |  | ) |

inline

## Matrix3Template() [2/3]

template<typename T>

osg::Matrix3Template< T >::Matrix3Template | ( | const Matrix3Template< T > & | mat | ) |

inline

## Matrix3Template() [3/3]

template<typename T>

osg::Matrix3Template< T >::Matrix3Template | ( | value_type | a00,
|  | value_type | a01,
|  | value_type | a02,
|  | value_type | a10,
|  | value_type | a11,
|  | value_type | a12,
|  | value_type | a20,
|  | value_type | a21,
|  | value_type | a22 )

inline

## ~Matrix3Template()

template<typename T>

osg::Matrix3Template< T >::~Matrix3Template | ( |  | ) |

inline

## Member Function Documentation

## makeIdentity()

template<typename T>

void osg::Matrix3Template< T >::makeIdentity | ( |  | ) |

inline

## set() [1/3]

template<typename T>

void osg::MatrixTemplate< T, RowN, ColN >::set | ( | const MatrixTemplate & | rhs | ) |

inline

## set() [2/3]

template<typename T>

void osg::Matrix3Template< T >::set | ( | value_type | a00,
|  | value_type | a01,
|  | value_type | a02,
|  | value_type | a10,
|  | value_type | a11,
|  | value_type | a12,
|  | value_type | a20,
|  | value_type | a21,
|  | value_type | a22 )

inline

Referenced by osg::Matrix3Template< float >::makeIdentity(), osg::Matrix3Template< float >::Matrix3Template(), and osg::Matrix3Template< float >::Matrix3Template().

## set() [3/3]

template<typename T>

void osg::MatrixTemplate< T, RowN, ColN >::set | ( | value_type const *const | ptr | ) |

inline

The documentation for this class was generated from the following file:

- Uniform